POST
/user/alert/add
const url = 'https://example.com/user/alert/add';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","node_id":"example","duration":1,"webhook_url":"example","webhook_body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/alert/add \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "node_id": "example", "duration": 1, "webhook_url": "example", "webhook_body": "example" }'Add a new alert
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
AddAlertRequest
object
tenant_id
required
Tenant Id
string
node_id
required
Node Id
string
duration
required
Duration
integer
webhook_url
required
Webhook Url
string
webhook_body
required
Webhook Body
string
Example generated
{ "tenant_id": "example", "node_id": "example", "duration": 1, "webhook_url": "example", "webhook_body": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
AddAlertResponse
object
alert_id
required
Alert Id
string
Example generated
{ "alert_id": "example"}{"detail": "Invalid API Key"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}